#include "glEasyDraw.h"
#include <math.h>
#include <glut.h>

int glEasyDraw::ChangeCoords(glEDT Type, float iX1, float iY1, float iX2, float iY2, float iX3, float iY3)
{
	switch(Type)
	{
	case rect:
		{
			rX[0] = iX1;
			rX[1] = iX2;
			rY[0] = iY1;
			rY[1] = iY2;
			return 1;
		}
	case line:
		{
			lX[0] = iX1;
			lX[1] = iX2;
			lY[0] = iY1;
			lY[0] = iY2;
			return 1;
		}
	case triangle:
		{
			tX[0] = iX1;
			tX[1] = iX2;
			tX[2] = iX3;
			tY[0] = iY1;
			tY[1] = iY2;
			tY[2] = iY3;
			return 1;
		}
	}

	return -1;
}

int glEasyDraw::Draw(glEDT Type, float rColor, float gColor, float bColor, float Alpha)
{
	switch(Type)
	{
	case rect:
		{
			glBegin(GL_QUADS);
			{
				glColor4f(rColor, gColor, bColor, Alpha);
				glVertex3f(rX[0], rY[0], 0);
				glVertex3f(rX[0], rY[1], 0);
				glVertex3f(rX[1], rY[1], 0);
				glVertex3f(rX[1], rY[0], 0);
			}
			glEnd();
			return 1;
		}
	case line:
		{
			glBegin(GL_LINES);
			{
				glColor4f(rColor, gColor, bColor, Alpha);
				glVertex3f(lX[0], lY[0], 0);
				glVertex3f(lX[1], lY[1], 0);
			}
			glEnd();
			return 1;
		}
	case triangle:
		{
			glBegin(GL_TRIANGLES);
			{
				glColor4f(rColor, gColor, bColor, Alpha);
				glVertex3f(tX[0], tY[0], 0);
				glVertex3f(tX[1], tY[1], 0);
				glVertex3f(tX[2], tY[2], 0);
			}
			glEnd();
			return 1;
		}
	}

	return -1;
}